Bug 252973 - Typo in IPFW in-kernel nat handbook paragraph
Summary: Typo in IPFW in-kernel nat handbook paragraph
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL: https://www.freebsd.org/doc/handbook/...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-24 12:49 UTC by Alessandro Sagratini
Modified: 2021-02-08 15:16 UTC (History)
2 users (show)

See Also:


Attachments
fix typo in ipfw doc (2.32 KB, patch)
2021-02-07 06:56 UTC, Alessandro Sagratini
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Sagratini 2021-01-24 12:49:37 UTC
Hello all,
I am reaching out since I am reading the ipfw hand page and I feel there is a typo there, more in details in 31.4.4. section.

"When configuring a stateful NATing firewall, it is neseccary to allow translated packets to be reinjected in the firewall for further processing." 

Shouldn't "neseccary" meant to be "necessary"?
Is it possible for me to send a patch for this? If so, what's the process? Otherwise, I am more than happy if anyone can fix this :)

Thank you,
Alessandro
Comment 1 Li-Wen Hsu freebsd_committer 2021-02-07 04:59:04 UTC
(In reply to Alessandro Sagratini from comment #0)
Yes it is more than welcomed to submit a patch. You can attach the patch directly to this ticket, or posting to our patch review system (and add the link to here) https://reviews.freebsd.org/

Thanks for your reporting.
Comment 2 Alessandro Sagratini 2021-02-07 06:56:07 UTC
Created attachment 222236 [details]
fix typo in ipfw doc
Comment 3 Alessandro Sagratini 2021-02-07 06:58:08 UTC
Hello,
thank you for your reply, please find a proposed patch attached to this ticket.

Let me know if you have any further doubts or concerns.
Regards,
Alessandro
Comment 4 Guangyuan Yang freebsd_committer 2021-02-08 15:10:55 UTC
Approved by: ygy (doc)
Comment 5 commit-hook freebsd_committer 2021-02-08 15:16:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/doc/commit/?id=aef3238f41a20bb47e8872bf5612308be9abb2ef

commit aef3238f41a20bb47e8872bf5612308be9abb2ef
Author:     Alessandro Sagratini <ale_sagra@hotmail.com>
AuthorDate: 2021-02-07 06:56:07 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-02-08 15:14:57 +0000

    Typo fix: s/neseccary/necessary/

    PR:             252973
    Reported by:    Alessandro Sagratini <ale_sagra@hotmail.com>
    Approved by:    ygy (doc)

 documentation/content/en/books/handbook/firewalls/_index.adoc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)